#######################################################################################
#@TYPE: Distribution
#@NAME: qti-distro-fullstack-noselinux-debug
#@DESCRIPTION: Qualcomm Technologies, Inc. Full Reference Stack Linux Distribution
# (glibc based) having debugging capabilities without selinux support.
# Not optimized for performance. Allows root user access.
#
# Supported DISTROOVERRIDES are
#  * qti-distro-base
#  * qti-distro-debug
#  * qti-distro-fullstack-noselinux-debug
#
# For same variable override precedence order is
# qti-distro-fullstack-noselinux-debug > qti-distro-debug > qti-distro-base
#######################################################################################

# Honor qti-distro-debug override
DISTROOVERRIDES =. "qti-distro-debug:"

require conf/distro/include/qti-distro-fullstack.inc

DISTRO_NAME = "QTI Linux full reference stack debug capable distro without selinux."

# Remove selinux distro feature defined in fullstack distro.
DISTRO_FEATURES_remove = "selinux"

# Set DEBUG_BUILD to use flags from DEBUG_OPTIMIZATION variable
DEBUG_BUILD = "1"

# Bring in debug utilities.
DISTRO_EXTRA_RDEPENDS += "packagegroup-qti-debug-tools"

#enable systemd journal
SYSTEMD_ENABLE_JOURNAL = "1"
